<!DOCTYPE html>
<html>

<head>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<script>
  "use strict";
  $(document).ready(function () {
    /*** REGION 1 - Global variables */

    /*** REGION 2 - Vùng gán/ thực thi sự kiện cho các elements  */
    // Thêm event handler cho nút kiểm tra 01
    $("#btn-kiem-tra-01").on("click", onBtnButton01Click);
    // Thêm event handler cho nút kiểm tra 02
    $("#btn-kiem-tra-02").on("click", onBtnButton02Click);
    // Thêm event handler cho nút màu đỏ
    $("#btn-red").on("click", onBtnRedClick);
     // Thêm event handler cho nút màu vang
     $("#btn-yellow").on("click", onBtnYellowClick);
    /*** REGION 3 - Event handlers */
    //hàm được gọi khi bấm nút Kiểm tra 01
    function onBtnButton01Click() {
      "use strict";
      var vElementInputVoucher = $("#voucher-01"); //truy xuất ô mã giảm giá
      var vValueVoucher = vElementInputVoucher.val(); // lấy giá trị của mã giảm giá 01 
      console.log("ID voucher 01: " + vElementInputVoucher.attr("id")); //ghi ra console Id của ô mã giảm giá 01
      var vDivMaGiamGia01 = $("#ma-giam-gia-01"); //truy xuat the div id = ma-giam-gia-01
      console.log("Id div 01: " + vDivMaGiamGia01.attr("id")); //ghi ra console Id cua the div
      vDivMaGiamGia01.html(vValueVoucher);  // dùng phương thức .html() để thay đổi giá trị html của thẻ div
      vDivMaGiamGia01.addClass("text-success"); //đổi màu thẻ div thành class text-success
    }
    //hàm được gọi khi bấm nút Kiểm tra 02
    function onBtnButton02Click() {
      "use strict";
      var vElementInputVoucher = $("#voucher-02"); //truy xuất ô mã giảm giá
      console.log("ID voucher 02: " + vElementInputVoucher.attr("id")); //ghi ra console Id của ô mã giảm giá 01
      var vDivMaGiamGia02 = $("#ma-giam-gia-02");//truy xuat the div id = ma-giam-gia-02
      var vValueDivMaGiam02 = vDivMaGiamGia02.text(); //sử dụng phương thức html() hoặc text() để lấy giá trị của thẻ div
      console.log("Id div 02: " + vDivMaGiamGia02.attr("id")); //ghi ra console Id cua the div
      vElementInputVoucher.val(vValueDivMaGiam02);  // dùng phương thức .val() để thay đổi giá trị ô text
      vDivMaGiamGia02.addClass("border border-danger"); //đổi border cho o text
    }
    //hàm được gọi khi bấm vào nút màu đỏ
    function onBtnRedClick() {
      "use strict";
      var vDivContent = $("#content-div"); // truy xuat the div
      vDivContent.prop("style", "color: red"); //dùng phương thức .prop() đổi màu thẻ div
    }
     //hàm được gọi khi bấm vào nút màu vang
     function onBtnYellowClick() {
      "use strict";
      var vDivContent = $("#content-div"); // truy xuat the div
      vDivContent.prop("style", "color: yellow"); //dùng phương thức .prop() đổi màu thẻ div
    }
    /*** REGION 4 - Common functions */
  });
</script>

<body>
  <div class="container">
    <h4>jQUERY BASIC METHODS</h4>
    <!-- Div voucher 01 -->
    <div id="voucher-form-01" class="jumbotron p-4">
      <div class="row form-group">
        1) Khi ấn nút Kiểm tra 01, lấy được value của ô text mã giảm giá và gán giá trị vào thẻ div ma-giam-gia-01
        và đổi màu thẻ div thành class text-success
      </div>
      <div class="row form-group align-middle">
        <div class="col-sm-6 form-inline">
          <label class="mr-2">Mã giảm giá</label>
          <input id="voucher-01" placeholder="Nhập mã giảm giá.." class="form-control">
        </div>
        <div class="col-sm-6 form-inline">
          <div id="ma-giam-gia-01">ma-giam-gia-01</div>
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-success" id="btn-kiem-tra-01">Kiểm tra 01</button>
      </div>
    </div>

    <!-- Div voucher 02 -->
    <div id="voucher-form-02" class="jumbotron p-4">
      <div class="row form-group">
        2) Khi ấn nút Kiểm tra 02, lấy giá trị của div ma-giam-gia-02
        và gán giá trị vào ô text mã giảm giá, đổi border cho ô text thành class border-danger
      </div>
      <div class="row form-group">
        <div class="col-sm-6">
          <div id="ma-giam-gia-02">24864</div>
        </div>
        <div class="col-sm-6 form-inline">
          <label class="mr-2">Mã giảm giá</label>
          <input id="voucher-02" placeholder="Mã giảm giá.." class="form-control">
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-success" id="btn-kiem-tra-02">Kiểm tra 02</button>
      </div>
    </div>

    <!-- Div 2 button -->
    <div id="content-form" class="jumbotron p-4">
      <div class="row form-group">
        3) Khi ấn 2 nút bên dưới, đổi màu chữ thẻ div có id = "content-div" tương ứng với màu nút<br>
      </div>
      <div class="row form-group">
        <div id="content-div">Nội dung bên trong thẻ div cần đổi màu</div>
      </div>
      <div class="form-group">
        <button class="btn btn-danger" id="btn-red">Màu đỏ</button>
        <button class="btn btn-warning" id="btn-yellow">Màu vàng</button>
      </div>
    </div>
  </div>

</body>

</html>